<!-- صفحه ارسال توکن پسوورد -->
<md-content layout="row"
	layout-align="none"
	layout-align-gt-sm="center center"
	flex>
	<div md-whiteframe="3"
		style="max-height: none;"
		flex="100"
		flex-gt-sm="50"
		layout="column">
		<!-- Toolbar -->
		<md-toolbar 
			layout="column" 
			layout-align="center center"
			layout-padding
			md-colors="{backgroundColor: 'primary-100'}">
			<img 
				height="160px"
				style="max-width: 90%;"
				ng-show="app.config.logo"
				ng-src="{{app.config.logo}}" />
<!-- 			<p> -->
<!-- 				<strong>{{app.config.title}}</strong><br/> -->
<!-- 				<em>{{app.config.description}}</em> -->
<!-- 			</p> -->
		</md-toolbar>
		<md-progress-linear
			ng-disabled="!ctrl.sendingToken"
			style="margin: 0px; padding: 0px"
			md-mode="indeterminate"
			class="md-primary"
			md-color>
		</md-progress-linear>
		<!-- body -->
		<div layout-margin> 
			<h3 translate>recover password</h3>
			<p translate>recover password description</p>
		</div>
		<div style="text-align: center;"
			layout-margin
			ng-show="!ctrl.sendingToken"> 
			<span ng-show="ctrl.sendTokenState === 'fail'"
				md-colors="{color:'warn'}" translate>Failed to send token.</span>
			<span ng-show="ctrl.sendTokenState === 'success'"
				md-colors="{color:'primary'}" translate>Token is sent.</span>
		</div>
		<form
			name="ctrl.myForm"
			ng-submit="sendToken(credit)" 
			layout="column" 
			layout-margin>
	        <md-input-container>
	            <label translate>Email</label>
	            <input ng-model="credit.email" name="email" type="email">
	            <div ng-messages="ctrl.myForm.email.$error">
					<div ng-message="email" translate>Email is not valid.</div>
		        </div>
	        </md-input-container>
<!-- 			<amh-captcha -->
<!-- 			    ng-model="credit.g_recaptcha_response">Hi -->
<!-- 			</amh-captcha> -->
			<!-- XXX: maso, 2018: adding captcha -->
			<div
				ng-if="app.captcha.engine==='recaptcha'"
			    vc-recaptcha
			    ng-model="credit.g_recaptcha_response"
			    theme="app.captcha.theme || 'light'"
			    type="app.captcha.type || 'image'"
			    key="app.captcha.recaptcha.key"
			    lang="app.captcha.language || 'fa'">
			</div>
	        <input hide type="submit" />
		</form>
        <div layout="column" layout-align="center none"
        	layout-gt-xs="row" layout-align-gt-xs="end center"
        	layout-margin>
        	<md-button
        		ng-disabled="!credit.email || ctrl.myForm.$invalid"
        		flex-order="0" 
        		flex-order-gt-xs="1" 
        		class="md-primary md-raised" 
        		ng-click="sendToken(credit)">{{'send recover mail' | translate}}</md-button>
<!--         	<md-button  -->
<!--         		ng-href="users/login" -->
<!--         		flex-order="0"  -->
<!--         		class="md-raised">{{'login' | translate}}</md-button> -->
        	<md-button 
        		ng-click="cancel()"
        		flex-order="0" 
        		flex-order-gt-xs="0" 
        		class="md-raised">
        		{{'cancel' | translate}}
        	</md-button>
        </div>
	</div>
</md-content>

